EPJ2MAKE(1)

NAME
epj2make - Cross-Platform Makefile Generator for Ecere IDE Project Files (.epj)

SYNOPSIS
epj2make [-c configuration] [options] [-o output] input

DESCRIPTION
epj2make will generate a makefile from the Ecere IDE project file specified in input.

OPTIONS

  Configuration
-c configuration

Which Configuration from the project to use for generating the makefile.
    Defaults to Release.

  Output
output specifies the file name and location for the generated makefile.
    If no name is specified, ./project-Config.Makefile is used.

  Toolchain Options

-make make-tool
    -cpp C-preprocessor
        -cc C-compiler
            -ecp eC-preprocessor
                -ecc eC-compiler
                    -ecs eC-symbol-generator
                        -ear Ecere-archiver

  Directories Options:

-i include-dir[;inc-dir[...]
    -l library-dir[;lib-dir[...]

  Miscellaneous Options

-noglobalsettings

-noresources

-w Disables warnings (Override configuration setting)

-d intermediate-objects-directory

-includemk crossplatform.mk-path

  Obsolete Options
-t target-platform

Where target-platform is one of: win32 linux apple
(Obsolete - makefile should work for all platforms)